Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class DataPolice

    java.lang.Object
      org.crosswire.jsword.book.DataPolice

    public final class DataPolice

extends Object

When we can't convert some source data then the user doesn't really care and just wants it to work, but it would be good to have some way to get the problems fixed, so as a start point we report them through this class.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static BookMetaData` | `bmd` The last known Book
`private static Key` | `key` the last known verse
`protected static Logger` | `log` The log stream

Constructor Summary
`private` | `DataPolice()` Prevent instansiation

Method Summary
`static void` | `report(String message)` Report a message against the current verse
`static void` | `setBook(BookMetaData bmd)` Set the current book to enhance error reports
`static void` | `setKey(Key key)` Set the current verse to enhance error reports

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    private static Key key

  the last known verse

### bmd

    private static BookMetaData bmd

  The last known Book

### log

    protected static final Logger log

  The log stream

Constructor Detail

### DataPolice

    private DataPolice()

  Prevent instansiation

Method Detail

### setBook

    public static void setBook(BookMetaData bmd)

  Set the current book to enhance error reports

### setKey

    public static void setKey(Key key)

  Set the current verse to enhance error reports

### report

    public static void report(String message)

  Report a message against the current verse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD